The Witcher 2 et debian amd64

Il y a deux semaines, j’ai eu l’honneur d’acquérir gracieusement une copie de The Witcher 2 lors une offre sur gog.com. Par contre impossible de lancer la chose, elle me demandait les librairies libcurl.so.4, libSDL2-2.0.so.0, libSDL2_image-2.0.so.0, libgtk-x11-2.0.so.0.

Il faut savoir que le jeu est capricieux puisqu’il veux des librairie 32 bits, quand on est en 64 on l’a dans le fondement ça marche moins bien.

Si vous avez une debian en amd64, en root ajouter une l’architecture i386 à vos depots :

# dpkg --add-architecture i386

Installer les librairies

# apt-get install libsdl2-2.0-0:i386 libsdl2-image-2.0-0:i386 libcurl3:i386 libgtk2.0-0:i386

Si cela ne suffit pas, lancer le jeu avec la commande ci-dessous, celle-ci vous montrera les librairies qu’il vous manque encore.

$ ldd witcher2 | grep not

3 Commentaires

Laisser un commentaire

Votre adresse de messagerie ne sera jamais publiée, ou utilisée à des fins commerciales. Les champs obligatoires sont indiqués avec des *.

Vous pouvez utiliser les balises de mise en forme